Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.aprs
Class Symbols.SymbolAttr

    java.lang.Object
      org.ka2ddo.aprs.Symbols.SymbolAttr

All Implemented Interfaces:
  java.lang.Comparable<Symbols.SymbolAttr>

Enclosing class:
  Symbols

    public static class Symbols.SymbolAttr

extends java.lang.Object
implements java.lang.Comparable<Symbols.SymbolAttr>

Wrapper for all the non-graphics-related attributes for a symbol code, with a pointer to the rendering-related attributes object.

Field Summary
`char` | `aprsSymCode` The APRS symbol code for this particular symbol.
`char` | `aprsSymTableId` The APRS symbol table or overlay character for this particular symbol.
`SymbolImageData` | `img` Reference to GUI-specific icon data for this symbol.

Method Summary
`int` | `compareTo(Symbols.SymbolAttr o)` Compares this object with the specified object for order.
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`char` | `getAprsSymCode()` Get the APRS symbol code character for this particular symbol.
`char` | `getAprsSymTableId()` Get the APRS symbol table or overlay character for this particular symbol.
`Symbols.Category` | `getCategory()` Get the category this symbol is associated with
`char` | `getOverlay(char symTableId)` Report if the specified character is an overlay, not the defined table ID for this symbol.
`SymbolImageData` | `getSymbolImageData()` Get the reference to GUI-specific icon data for this symbol.
`java.lang.String` | `getTypeName()` Get the localized name for this symbol.
`int` | `hashCode()` Returns a hash code value for the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### aprsSymTableId

    public final char aprsSymTableId

  The APRS symbol table or overlay character for this particular symbol.

### aprsSymCode

    public final char aprsSymCode

  The APRS symbol code for this particular symbol.

### img

    public SymbolImageData img

  Reference to GUI-specific icon data for this symbol.

Method Detail

### getAprsSymCode

    public char getAprsSymCode()

  Get the APRS symbol code character for this particular symbol.

  Returns:
    the symbol code character

### getAprsSymTableId

    public char getAprsSymTableId()

  Get the APRS symbol table or overlay character for this particular symbol.

  Returns:
    the symbol code character

### getCategory

    public Symbols.Category getCategory()

  Get the category this symbol is associated with

  Returns:
    Category enum

### getSymbolImageData

    public SymbolImageData getSymbolImageData()

  Get the reference to GUI-specific icon data for this symbol.

  Returns:
    GUI-specific object implementing the SymbolImageData interface

### getTypeName

    public java.lang.String getTypeName()

  Get the localized name for this symbol.

  Returns:
    localized text String name

### getOverlay

    public char getOverlay(char symTableId)

  Report if the specified character is an overlay, not the defined table ID for this symbol. Note this treats APRS 1.2 extended symbols as not being overlaid.

  Parameters:
    `symTableId` - char to compare against this symbol's symbol table ID
  Returns:
    overlay character, or the null character if this is not an overlay

### compareTo

    public int compareTo(Symbols.SymbolAttr o)

  Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object. This comparator sorts by symbol table ID to order a single symbol code's set of symbols; it is not suitable for sorting a complete array of all possible SymbolAttr objects.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Symbols.SymbolAttr>`
  Parameters:
    `o` - the object to be compared.
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
  Throws:
    `java.lang.NullPointerException` - if the specified object is null
    `java.lang.ClassCastException` - if the specified object's type prevents it from being compared to this object.

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `equals(Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD